Subject: bug#60521: closed (Re: [bug#60521] [PATCH v7] home: Add home-dotfiles-service.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 28 Jan 2024 21:03:02 +0000

Your bug report

#60521: [PATCH] home: Add home-stow-migration-service.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60521: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60521
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#60521] [PATCH v7] home: Add home-dotfiles-service.
From: Ludovic Courtès <[email-masked]>
To: Giacomo Leidi <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Jan 2024 22:02:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Giacomo Leidi <[email-masked]> skribis:

> * gnu/home/services.scm: New file;
> (dotfiles-for-app): new variable;
> (home-dotfiles-configuration): new variable;
> (home-dotfiles-service-type): new variable.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.
> * po/guix/POTFILES.in: Add it.
> * doc/guix.texi: Document it.
>
> Change-Id: I6769169cfacefc3842faa5b31bee081c56c28743
> Co-authored-by: Ludovic Courtès <[email-masked]>

Committed with the change below (perhaps a mistake I had introduced
myself before) and with a slightly modified commit log.

I’m switching my laptop’s config now.  :-)

Thanks for all the work, and thanks for your patience!

Ludo’.

diff --git a/gnu/home/services/dotfiles.scm b/gnu/home/services/dotfiles.scm
index 7226b6bcff..6a740c42ce 100644
--- a/gnu/home/services/dotfiles.scm
+++ b/gnu/home/services/dotfiles.scm
@@ -58,11 +58,8 @@ (define (import-dotfiles directory files)
 generated by recursively visiting DIRECTORY and mapping its contents to the
 user's home directory, excluding files that match any of the patterns in EXCLUDED."
   (define (strip file)
-    (string-join
-     (cdr
-      (string-split (string-drop file (+ 1 (string-length directory)))
-                    #\/))
-     "/"))
+    (string-drop file (+ 1 (string-length directory))))
+
   (define (format file)
     ;; Remove from FILE characters that cannot be used in the store.
     (string-append

Subject: [PATCH] home: Add home-stow-migration-service.
From: [email-masked]
To: [email-masked]
Date: Tue, 03 Jan 2023 16:51:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guixers,

I'm upstreaming a Guix Home service I've been using for quite some time 
in my personal channel ( 
https://gitlab.com/orang3/small-guix/-/blob/master/small-guix/home/services/dotfiles.scm 
) with some small improvements to make it suitable for Guix mainline.

The point of this service is to allow GNU Stow users to switch to Guix 
Home without any change to their Stow directory structure, in the hope 
of easing the way into Guix Home allowing users to avoid convert all of 
their dotfiles to Guix native configurations.

Thank you for your time and efforts,

giacomo